# CMxIntegerArray Class

Namespace: `ArchestrA.Toolkit`

CMxIntegerArray is derived from CMxArray and provides support for Integer Array Attributes.

**Syntax**

```csharp
public class CMxIntegerArray : CMxArray<int>
```

## CMxIntegerArray Properties

### Value Property

Provides a property to get and set the value as an int array.

**Syntax**

```csharp
public int Value { get; set; }
```

**Returns**

int[ ]

### Property to Get and Set the Int Value using the [ ] Operator

Provides a property to get and set the int value of an element using[ ] operator.

**Syntax**

```csharp
public int this[short i] { get; set; }
```

**Returns**

int

## CMxIntegerArray Constructors

### CMxIntegerArray Constructor (int)

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxIntegerArray(int length);
```

**Parameters**

**`length`**

[in] integer value that holds the length of the array.

### CMxIntegerArray Constructor (int[ ])

Provides a constructor to initialize the class with an int array.

**Syntax**

```csharp
public CMxIntegerArray(int [] value);
```

**Parameters**

**`value`**

[in] int array value to be set.

### CMxIntegerArray Constructor (SupportWrapper, string)

Provide a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxIntegerArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxIntegerArray Method

### Set Method

Provides a method to set the value of the Attribute from a CMxIntegerArray.

**Syntax**

```csharp
public void Set(CMxIntegerArray newValue);
```

**Parameters**

**`newValue`**

[in] CMxIntegerArray instance value to be set.

## CMxIntegerArray Operator Overloads

### CMxIntegerArray Operator Overload (int[ ])

Provides an operator to convert an int array into a CMxInteger Array.

**Syntax**

```csharp
public static implicit operator CMxIntegerArray(int [] val);
```

**Parameters**

**`val`**

[in] int [ ] value to convert to CMxIntegerArray.

**Returns**

CMxIntegerArray

### CMxValue Operator Overload

Provides an operator to convert a CMxInteger Array into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxIntegerArray val);
```

**Parameters**

**`val`**

[in] CMxIntegerArray to convert to CMxValue.

**Returns**

CMxValue

### int[ ] Operator Overload

Provides an operator to convert a CMxIntegerArray into an int array.

**Syntax**

```csharp
public static implicit operator int [](CMxIntegerArray val);
```

**Parameters**

**`val`**

[in] CMxIntegerArray to convert to int [].

**Returns**

int[ ]

### CMxIntegerArray Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxIntegerArray.

**Syntax**

```csharp
public static implicit operator CMxIntegerArray(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue to convert to CMxIntegerArray.

**Returns**

CMxIntegerArray
